%define gamelibdir	%{_libdir}/games/%{name}

Summary:	An open-source content package for Quake III Arena
Name:		openarena
Version:	0.8.8
Release:	%mkrel 15
License:        GPLv2+
Group:          Games/Shooter
URL:            http://openarena.ws/
Source0:	%{name}-engine-source-%{version}.tar.bz2
Source1:	http://cheapy.deathmask.net/logo.gif
Patch1:		openarena-0.8.8-stack.patch
Patch2:		openarena-0.8.8-x86.patch
Patch3:		openarena-Add-support-for-Aarch64-ARM64.patch
BuildRequires:	GL-devel
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(openal)
BuildRequires:	oggvorbis-devel
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	%{name}-data >= %{version}
Requires:	%{name}-data => %{version}

%description
OpenArena is an open-source content package for Quake III Arena
licensed under the GPL, effectively creating a free stand-alone
game. You do not need Quake III Arena to play this game.

%prep
%setup -q -n %{name}-engine-source-%{version}
%autopatch -p1

# do not strip binaries
sed -i 's|STRIP_FLAG = -s|STRIP_FLAG =|g' Makefile

%build
%set_build_flags
%serverbuild

%make_build USE_CURL=1 USE_CURL_DLOPEN=0 USE_OPENAL=1 USE_OPENAL_DLOPEN=0 USE_CODEC_VORBIS=1

%install
%make_build copyfiles COPYDIR=%{buildroot}%{gamelibdir}
# symlink files from noarch package in arch-specific game dir
ln -sf %{_gamesdatadir}/%{name}/baseoa/* %{buildroot}%{gamelibdir}/baseoa

binary=`basename %{buildroot}%{gamelibdir}/openarena.*`

install -d %{buildroot}%{_gamesbindir}
cat > %{buildroot}%{_gamesbindir}/%{name} <<EOF
#!/bin/sh
cd %{gamelibdir}
exec ./$binary \$*
EOF
chmod 755 %{buildroot}%{_gamesbindir}/%{name}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
convert -scale 128x128 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
convert -scale 64x64 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 48x48 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32x32 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16x16 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=OpenArena
Comment=Quake 3: Arena-like FPS game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%files
%{_gamesbindir}/%{name}
%dir %{gamelibdir}
%{gamelibdir}/missionpack
%{gamelibdir}/oa_ded.*
%{gamelibdir}/%{name}.*
%dir %{gamelibdir}/baseoa
%{gamelibdir}/baseoa/*.pk3
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.8.8-15.mga9
+ Revision: 1839088
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.8.8-14.mga8
+ Revision: 1515680
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.8.8-13.mga7
+ Revision: 1299976
- Mageia 7 Mass Rebuild

* Sun Jul 22 2018 wally <wally> 0.8.8-12.mga7
+ Revision: 1244880
- add patch for aarch64 support

* Sat Dec 10 2016 ngompa <ngompa> 0.8.8-11.mga6
+ Revision: 1074068
- Remove unneeded %%pretrans

* Sat Mar 12 2016 pterjan <pterjan> 0.8.8-10.mga6
+ Revision: 989535
- Try to fix i586 build
+ daviddavid <daviddavid>
- Mageia 6 Mass Rebuild
- really disable stripping binaries
+ tv <tv>
- disable striping thus fixing empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.8.8-8.mga5
+ Revision: 746756
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.8-7.mga5
+ Revision: 683185
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.8-6.mga4
+ Revision: 508629
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8.8-5.mga3
+ Revision: 361892
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 0.8.8-4.mga3
+ Revision: 343799
- updated RPM group

* Mon Jul 30 2012 dams <dams> 0.8.8-3.mga3
+ Revision: 276189
- clean specfile

* Mon Mar 05 2012 zezinho <zezinho> 0.8.8-2.mga2
+ Revision: 218542
- disable soundwrapper in menu : it [Cis now useless and not a Require[D

* Wed Feb 22 2012 tv <tv> 0.8.8-1.mga2
+ Revision: 212434
- new release

* Thu Jun 16 2011 tv <tv> 0.8.5-2.mga2
+ Revision: 108424
- bump release since package is lost in queue

* Thu Jun 16 2011 tv <tv> 0.8.5-1.mga2
+ Revision: 108401
- new release (patch 0.8.5)

* Tue Apr 26 2011 wally <wally> 0.8.1-9.mga1
+ Revision: 91803
- fix desktop file name (mga#954)
- drop buildroot definition

* Sun Apr 24 2011 pterjan <pterjan> 0.8.1-8.mga1
+ Revision: 90058
- Fix i586 code to work with stack protection enabled

* Sun Apr 24 2011 pterjan <pterjan> 0.8.1-7.mga1
+ Revision: 90052
- Fix overlapping strcpy in bot loading code (gentoo patch)

* Sat Mar 05 2011 tv <tv> 0.8.1-6.mga1
+ Revision: 64888
- clean old distro stuff
- imported package openarena


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-6mdv2011.0
+ Revision: 613175
- the mass rebuild of 2010.1 packages

* Mon Jun 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.1-5mdv2010.1
+ Revision: 547239
- link against openal and curl libraries (don't rely on dlopening them)
- export %%setup_compile_flags and %%serverbuild macros

* Tue Mar 09 2010 Thierry Vignaud <tv@mandriva.org> 0.8.1-4mdv2010.1
+ Revision: 517078
- further relax requires

* Mon Mar 08 2010 Thierry Vignaud <tv@mandriva.org> 0.8.1-3mdv2010.1
+ Revision: 515993
- relax requires

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.8.1-2mdv2010.0
+ Revision: 440372
- rebuild

* Sun Nov 09 2008 Adam Williamson <awilliamson@mandriva.org> 0.8.1-1mdv2009.1
+ Revision: 301187
- fix icon directory creation
- conditionalize %%post and %%postun
- clean up menu entry
- fd.o icons
- correct license
- drop serverfix.patch (merged upstream)
- clean spec:
  	+ don't over-use pointless %%defines
  	+ consistent %%{buildroot} not $RPM_BUILD_ROOT
  	+ tabs not spaces
- new release 0.8.1

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 0.8.0-3mdv2009.0
+ Revision: 277909
- add upstream fix for server hosting

* Sat Aug 30 2008 Funda Wang <fwang@mandriva.org> 0.8.0-2mdv2009.0
+ Revision: 277575
- rebuild against new data package
- fix binary name

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 0.8.0-1mdv2009.0
+ Revision: 275746
- New version 0.8.0

* Mon Aug 04 2008 Funda Wang <fwang@mandriva.org> 0.7.7-4mdv2009.0
+ Revision: 263057
- bump version of data pacakage

* Tue Jun 03 2008 Olivier Blin <oblin@mandriva.com> 0.7.7-3mdv2009.0
+ Revision: 214681
- run update/clean menus

* Thu May 29 2008 Olivier Blin <oblin@mandriva.com> 0.7.7-2mdv2009.0
+ Revision: 212923
- 0.7.7

* Wed Apr 23 2008 Olivier Blin <oblin@mandriva.com> 0.7.6-2mdv2009.0
+ Revision: 196719
- package pk3 symlinks
- explicitely require data package with the same version binary version has been built with
- symlink files from noarch package in arch-specific game dir
- buildrequire data package

* Tue Apr 22 2008 Olivier Blin <oblin@mandriva.com> 0.7.6-1mdv2009.0
+ Revision: 196656
- explicitely list subdirs in lib
- do not use a symlink anymore for baseoa directory
  (it now contains the binary files, can't point to /usr/share)
- remove builtin include file
- 0.7.6

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.7.0-3mdv2008.1
+ Revision: 136634
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Jul 16 2007 Olivier Blin <oblin@mandriva.com> 0.7.0-3mdv2008.0
+ Revision: 52357
- convert baseoa directory as symlink before installation (#31885)

* Fri Jul 13 2007 Olivier Blin <oblin@mandriva.com> 0.7.0-2mdv2008.0
+ Revision: 51693
- buildrequire oggvorbis-devel
- require openarena-data and symlink data files in libdir
- fix build by copying ui/menudef.h from upstream SVN
- 0.7.0 (source tarball does not contain data files anymore)


* Wed Jan 03 2007 Olivier Blin <oblin@mandriva.com> 0.6.0-2mdv2007.0
+ Revision: 103935
- fix wrapper script (thanks misc for spotting that)

* Mon Dec 04 2006 Olivier Blin <oblin@mandriva.com> 0.6.0-1mdv2007.1
+ Revision: 90544
- buildrequire GL-devel
- initial OpenArena release
- Create openarena

